Open CASCADE Technology: PBRep_PolygonOnClosedTriangulation Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PBRep_PolygonOnClosedTriangulation Class Reference

`#include <PBRep_PolygonOnClosedTriangulation.hxx>`

Inheritance diagram for PBRep_PolygonOnClosedTriangulation:
[legend]

## Public Member Functions
| PBRep_PolygonOnClosedTriangulation (const Handle< PPoly_PolygonOnTriangulation > &P1, const Handle< PPoly_PolygonOnTriangulation > &P2, const Handle< PPoly_Triangulation > &S, const PTopLoc_Location &L)
virtual Standard_Boolean | IsPolygonOnClosedTriangulation () const
| Returns True. More...
Handle< PPoly_PolygonOnTriangulation > | PolygonOnTriangulation2 () const
| PBRep_PolygonOnClosedTriangulation ()
| PBRep_PolygonOnClosedTriangulation (const Storage_stCONSTclCOM &a)
Handle< PPoly_PolygonOnTriangulation > | _CSFDB_GetPBRep_PolygonOnClosedTriangulationmyPolygon2 () const
void | _CSFDB_SetPBRep_PolygonOnClosedTriangulationmyPolygon2 (const Handle< PPoly_PolygonOnTriangulation > &p)
Public Member Functions inherited from PBRep_PolygonOnTriangulation
| PBRep_PolygonOnTriangulation (const Handle< PPoly_PolygonOnTriangulation > &P, const Handle< PPoly_Triangulation > &T, const PTopLoc_Location &L)
virtual Standard_Boolean | IsPolygonOnTriangulation () const
| returns True. More...
Handle< PPoly_PolygonOnTriangulation > | PolygonOnTriangulation () const
Handle< PPoly_Triangulation > | Triangulation () const
| PBRep_PolygonOnTriangulation ()
| PBRep_PolygonOnTriangulation (const Storage_stCONSTclCOM &a)
Handle< PPoly_PolygonOnTriangulation > | _CSFDB_GetPBRep_PolygonOnTriangulationmyPolygon () const
void | _CSFDB_SetPBRep_PolygonOnTriangulationmyPolygon (const Handle< PPoly_PolygonOnTriangulation > &p)
Handle< PPoly_Triangulation > | _CSFDB_GetPBRep_PolygonOnTriangulationmyTriangulation () const
void | _CSFDB_SetPBRep_PolygonOnTriangulationmyTriangulation (const Handle< PPoly_Triangulation > &p)
Public Member Functions inherited from PBRep_CurveRepresentation
PTopLoc_Location | Location () const
Handle< PBRep_CurveRepresentation > | Next () const
void | Next (const Handle< PBRep_CurveRepresentation > &N)
virtual Standard_Boolean | IsCurve3D () const
| A 3D curve representation. More...
virtual Standard_Boolean | IsCurveOnSurface () const
| A curve in the parametric space of a surface. More...
virtual Standard_Boolean | IsRegularity () const
| A continuity between two surfaces. More...
virtual Standard_Boolean | IsCurveOnClosedSurface () const
| A curve with two parametric curves on the same surface. More...
virtual Standard_Boolean | IsGCurve () const
virtual Standard_Boolean | IsPolygon3D () const
virtual Standard_Boolean | IsPolygonOnSurface () const
virtual Standard_Boolean | IsPolygonOnClosedSurface () const
| PBRep_CurveRepresentation ()
| PBRep_CurveRepresentation (const Storage_stCONSTclCOM &a)
const PTopLoc_Location & | _CSFDB_GetPBRep_CurveRepresentationmyLocation () const
Handle< PBRep_CurveRepresentation > | _CSFDB_GetPBRep_CurveRepresentationmyNext () const
void | _CSFDB_SetPBRep_CurveRepresentationmyNext (const Handle< PBRep_CurveRepresentation > &p)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Additional Inherited Members
Protected Member Functions inherited from PBRep_CurveRepresentation
| PBRep_CurveRepresentation (const PTopLoc_Location &L)

## Constructor & Destructor Documentation

PBRep_PolygonOnClosedTriangulation::PBRep_PolygonOnClosedTriangulation | ( | const Handle< PPoly_PolygonOnTriangulation > & | P1,
|  | const Handle< PPoly_PolygonOnTriangulation > & | P2,
|  | const Handle< PPoly_Triangulation > & | S,
|  | const PTopLoc_Location & | L
| ) |  |

PBRep_PolygonOnClosedTriangulation::PBRep_PolygonOnClosedTriangulation | ( |  | ) |
| inline

PBRep_PolygonOnClosedTriangulation::PBRep_PolygonOnClosedTriangulation | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PPoly_PolygonOnTriangulation > PBRep_PolygonOnClosedTriangulation::_CSFDB_GetPBRep_PolygonOnClosedTriangulationmyPolygon2 | ( |  | ) | const
| inline

void PBRep_PolygonOnClosedTriangulation::_CSFDB_SetPBRep_PolygonOnClosedTriangulationmyPolygon2 | ( | const Handle< PPoly_PolygonOnTriangulation > & | p | ) |
| inline

virtual Standard_Boolean PBRep_PolygonOnClosedTriangulation::IsPolygonOnClosedTriangulation | ( |  | ) | const
| virtual

Returns True.

Reimplemented from PBRep_CurveRepresentation.

Handle< PPoly_PolygonOnTriangulation > PBRep_PolygonOnClosedTriangulation::PolygonOnTriangulation2 | ( |  | ) | const

The documentation for this class was generated from the following file:

- PBRep_PolygonOnClosedTriangulation.hxx